Subject: Re: bug#65267: 30.0.50; modifying debug-ignored-errors during startup with --debug-init is broken, bug#65267: 30.0.50; modifying debug-ignored-errors during startup with --debug-init is broken

From: Štěpán Němec <[email-masked]>
Date: Thu, 17 Aug 2023 20:20:54 +0200

On Thu, 17 Aug 2023 18:07:55 +0000
Gregory Heytings wrote:

>>
>> Thank you, but I believe we all knew that, already.
>>
>
> I apologize for trying to help.

Well, I don't apologize for (*sincerely*) thanking you.

> I'd say that the fact that end-of-file has been in the default value of 
> debug-ignored-errors for a quarter of a century without anyone objecting 
> indicates that it's a reasonable default.  And you can easily remove it 
> from there if you want:
>
> (delq 'end-of-file debug-ignored-errors)

Maybe you know something about `delq' I do not, but I always use
something like

  (setq debug-ignored-errors (delq 'end-of-file debug-ignored-errors))

instead.  (See the documentation of `delq'.)

-- 
Štěpán